# Sora 2

## sora-2-video-to-video

> Video-to-video remix endpoint for Sora 2, OpenAI’s advanced model that transforms existing videos based on new text or image prompts allowing rich edits, style changes, and creative reinterpretations while preserving motion and structure...

```json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"sora-2"}],"servers":[{"url":"https://video.onerouter.pro","description":"video"}],"security":[],"paths":{"/v1/videos/edits":{"post":{"summary":"sora-2-video-to-video","deprecated":false,"description":"Video-to-video remix endpoint for Sora 2, OpenAI’s advanced model that transforms existing videos based on new text or image prompts allowing rich edits, style changes, and creative reinterpretations while preserving motion and structure...","tags":["sora-2"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"model is the model name"},"video_id":{"type":"string","description":"The video_id from a previous Sora 2 generation. Note: You can only remix videos that were generated by Sora (via text-to-video or image-to-video endpoints), not arbitrary uploaded videos."},"prompt":{"type":"string","description":"Updated text prompt that directs the remix generation."},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","enum":["url"],"default":"url"}},"required":["model","prompt","video_id"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"revised_prompt":{"type":"string"},"video_id":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
```
